Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf
Class CxfConstants

    java.lang.Object
      org.mule.module.cxf.CxfConstants

    public class CxfConstants

extends Object

Field Summary
`static String` | `ATTACHMENTS`
`static String` | `CXF_OUTBOUND_MESSAGE_PROCESSOR`
`static String` | `DATA_BINDING`
`static String` | `DEFAULT_CXF_CONFIGURATION`
`static String` | `ENABLE_MULE_SOAP_HEADERS`
`static String` | `FEATURES`
`static String` | `IN_FAULT_INTERCEPTORS`
`static String` | `IN_INTERCEPTORS`
`static String` | `INBOUND_OPERATION`
`static String` | `INBOUND_SERVICE`
`static String` | `JAX_WS_FRONTEND`
`static String` | `MTOM_ENABLED`
`static String` | `MULE_EVENT`
`static String` | `OPERATION`
`static String` | `OUT_FAULT_INTERCEPTORS`
`static String` | `OUT_INTERCEPTORS`
`static String` | `PAYLOAD`
`static String` | `PAYLOAD_BODY`
`static String` | `PAYLOAD_ENVELOPE`
`static String` | `PAYLOAD_TO_ARGUMENTS`
`static String` | `PAYLOAD_TO_ARGUMENTS_BY_DEFAULT`
`static String` | `PAYLOAD_TO_ARGUMENTS_NULL_PAYLOAD_AS_PARAMETER`
`static String` | `PAYLOAD_TO_ARGUMENTS_NULL_PAYLOAD_AS_VOID`
`static String` | `SIMPLE_FRONTEND`

Constructor Summary
`CxfConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAX_WS_FRONTEND

    public static final String JAX_WS_FRONTEND

See Also:
  Constant Field Values

### SIMPLE_FRONTEND

    public static final String SIMPLE_FRONTEND

See Also:
  Constant Field Values

### OPERATION

    public static final String OPERATION

See Also:
  Constant Field Values

### MTOM_ENABLED

    public static final String MTOM_ENABLED

See Also:
  Constant Field Values

### CXF_OUTBOUND_MESSAGE_PROCESSOR

    public static final String CXF_OUTBOUND_MESSAGE_PROCESSOR

See Also:
  Constant Field Values

### MULE_EVENT

    public static final String MULE_EVENT

See Also:
  Constant Field Values

### ATTACHMENTS

    public static final String ATTACHMENTS

See Also:
  Constant Field Values

### INBOUND_SERVICE

    public static final String INBOUND_SERVICE

See Also:
  Constant Field Values

### INBOUND_OPERATION

    public static final String INBOUND_OPERATION

See Also:
  Constant Field Values

### ENABLE_MULE_SOAP_HEADERS

    public static final String ENABLE_MULE_SOAP_HEADERS

See Also:
  Constant Field Values

### PAYLOAD

    public static final String PAYLOAD

See Also:
  Constant Field Values

### PAYLOAD_BODY

    public static final String PAYLOAD_BODY

See Also:
  Constant Field Values

### PAYLOAD_ENVELOPE

    public static final String PAYLOAD_ENVELOPE

See Also:
  Constant Field Values

### PAYLOAD_TO_ARGUMENTS

    public static final String PAYLOAD_TO_ARGUMENTS

See Also:
  Constant Field Values

### PAYLOAD_TO_ARGUMENTS_NULL_PAYLOAD_AS_PARAMETER

    public static final String PAYLOAD_TO_ARGUMENTS_NULL_PAYLOAD_AS_PARAMETER

See Also:
  Constant Field Values

### PAYLOAD_TO_ARGUMENTS_NULL_PAYLOAD_AS_VOID

    public static final String PAYLOAD_TO_ARGUMENTS_NULL_PAYLOAD_AS_VOID

See Also:
  Constant Field Values

### PAYLOAD_TO_ARGUMENTS_BY_DEFAULT

    public static final String PAYLOAD_TO_ARGUMENTS_BY_DEFAULT

See Also:
  Constant Field Values

### DEFAULT_CXF_CONFIGURATION

    public static final String DEFAULT_CXF_CONFIGURATION

See Also:
  Constant Field Values

### DATA_BINDING

    public static final String DATA_BINDING

See Also:
  Constant Field Values

### FEATURES

    public static final String FEATURES

See Also:
  Constant Field Values

### IN_INTERCEPTORS

    public static final String IN_INTERCEPTORS

See Also:
  Constant Field Values

### IN_FAULT_INTERCEPTORS

    public static final String IN_FAULT_INTERCEPTORS

See Also:
  Constant Field Values

### OUT_INTERCEPTORS

    public static final String OUT_INTERCEPTORS

See Also:
  Constant Field Values

### OUT_FAULT_INTERCEPTORS

    public static final String OUT_FAULT_INTERCEPTORS

See Also:
  Constant Field Values

Constructor Detail

### CxfConstants

    public CxfConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.